#3168 closed enhancement (fixed)

Simplify POSIX_API_Control

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

There is no need to have a copy of the thread attributes used for the pthread_create() in POSIX_API_Control::Attributes. This is at least in line with Linux.

Attachments (1)

test.c (1.2 KB) - added by Sebastian Huber on Oct 5, 2017 at 1:28:41 PM.
Test program.

Download all attachments as: .zip

Change History (5)

Changed on Oct 5, 2017 at 1:28:41 PM by Sebastian Huber

Attachment: test.c added

Test program.

comment:1 Changed on Oct 10, 2017 at 5:43:49 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In af9115f3/rtems:

posix: Simplify POSIX_API_Control

Return stack area via pthread_getattr_np().

Simplify

  • pthread_attr_setaffinity_np(), and
  • pthread_attr_getaffinity_np()

and let the scheduler do the more sophisticated error checks.

Make

  • pthread_setaffinity_np(),
  • pthread_getaffinity_np(),
  • pthread_attr_setaffinity_np(), and
  • pthread_attr_getaffinity_np()

available in all configurations.

Update #2514.
Close #3145.
Close #3168.

comment:2 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:3 Changed on Nov 2, 2017 at 10:25:59 AM by Sebastian Huber <sebastian.huber@…>

In 81fd79d/rtems:

smppsxaffinity02: Fix thread attribute usage

The pthread_getattr_np() returns now the stack address and size. Do not
use this stack for the new threads.

Update #2514.
Update #3145.
Update #3168.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.